Skip to content
Developer

Payment Gateway

Billing7 EndpointsBilling / Payment Gateway

Get provider schema from payment gateway (with fallback)

GET/api/billing/payment_gateway/provider_schema

Responses

200Returns the available payment provider schema

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/billing/payment_gateway/provider_schema \
  --header 'x-iw-jwt-token: <TOKEN>'

Setup payment gateway for additional service user

POST/api/billing/payment_gateway/additional_setup

Responses

200Sets up an additional payment gateway service userSimpleChange

Show fields (5)
  • idmixed

    The ID of the entity to change, can be a string or an integer

  • actionstring

    The action to perform on the entity

  • propertystring

    The property to change on the entity

  • new_valuemixed

    The new value to set for the property

  • doneboolean

    Indicates if the change has been processed

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/billing/payment_gateway/additional_setup \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": 42,
  "action": "string",
  "property": "string",
  "new_value": null,
  "done": true
}

Return normalized Stripe, Mollie and GoCardless connection states.

GET/api/billing/payment_gateway/connections

Responses

200Returns normalized payment provider connection states

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/billing/payment_gateway/connections \
  --header 'x-iw-jwt-token: <TOKEN>'

Start provider authorization and return the external authorization URL.

POST/api/billing/payment_gateway/connections/{provider}/authorize

Path parameters

providerrequiredstring

Request body application/json

  • redirectUrlstring (uri)required

Responses

200Returns the external provider authorization URL

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/billing/payment_gateway/connections/42/authorize \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "redirectUrl": "https://vynst.de"
}
'

Disconnect a connected merchant account.

DELETE/api/billing/payment_gateway/connections/{provider}

Path parameters

providerrequiredstring

Responses

200Disconnects a connected payment providerSuccess

Show fields (3)
  • successboolean
  • messagestring
  • error_codesarray<integer>
Request
curl --request DELETE \
  --url https://your-instance.iw-erp.de/api/billing/payment_gateway/connections/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "success": true,
  "message": "string",
  "error_codes": [
    1
  ]
}

List profiles belonging to the connected Mollie organization.

GET/api/billing/payment_gateway/connections/mollie/profiles

Responses

200Returns Mollie payment profiles for the connected organization

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/billing/payment_gateway/connections/mollie/profiles \
  --header 'x-iw-jwt-token: <TOKEN>'

Select the Mollie payment profile used for connected payments.

PUT/api/billing/payment_gateway/connections/mollie/profile

Request body application/json

  • profileIdstringrequired

Responses

200Returns the updated Mollie provider connection

Request
curl --request PUT \
  --url https://your-instance.iw-erp.de/api/billing/payment_gateway/connections/mollie/profile \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "profileId": "string"
}
'